S60 3rd Edition SDK for Symbian OS Example Applications Guide

# CHelloWorldBasicDocument Class Reference

`#include <helloworldbasicdocument.h>`

List of all members.

## Public Member Functions
virtual | ~CHelloWorldBasicDocument ()
CEikAppUi * | CreateAppUiL ()
## Static Public Member Functions
static CHelloWorldBasicDocument * | NewL (CEikApplication &aApp)
static CHelloWorldBasicDocument * | NewLC (CEikApplication &aApp)
## Private Member Functions
void | ConstructL ()
| CHelloWorldBasicDocument (CEikApplication &aApp)

## Detailed Description

CHelloWorldBasicDocument application class. An instance of class CHelloWorldBasicDocument is the Document part of the AVKON application framework for the HelloWorldBasic example application.

Definition at line 34 of file helloworldbasicdocument.h.

## Constructor & Destructor Documentation

CHelloWorldBasicDocument::~CHelloWorldBasicDocument | ( |  | ) | `[virtual]`

| ~CHelloWorldBasicDocument Virtual Destructor. Definition at line 77 of file helloworldbasicdocument.cpp.
    00078     {
    00079     // No implementation required
    00080     }

CHelloWorldBasicDocument::CHelloWorldBasicDocument | ( | CEikApplication & | aApp | ) | `[private]`

  | CHelloWorldBasicDocument. C++ default constructor. Parameters:
  | aApp | Application creating this document.
Definition at line 66 of file helloworldbasicdocument.cpp.
    00067     : CAknDocument( aApp )
    00068     {
    00069     // No implementation required
    00070     }

## Member Function Documentation

CHelloWorldBasicDocument * CHelloWorldBasicDocument::NewL | ( | CEikApplication & | aApp | ) | `[static]`

  | NewL. Two-phased constructor. Construct a CHelloWorldBasicDocument for the AVKON application aApp using two phase construction, and return a pointer to the created object. Parameters:
  | aApp | Application creating this document.
Returns: A pointer to the created instance of CHelloWorldBasicDocument. Definition at line 27 of file helloworldbasicdocument.cpp. References NewLC().
    00029     {
    00030     CHelloWorldBasicDocument* self = NewLC( aApp );
    00031     CleanupStack::Pop( self );
    00032     return self;
    00033     }

CHelloWorldBasicDocument * CHelloWorldBasicDocument::NewLC | ( | CEikApplication & | aApp | ) | `[static]`

  | NewLC. Two-phased constructor. Construct a CHelloWorldBasicDocument for the AVKON application aApp using two phase construction, and return a pointer to the created object. Parameters:
  | aApp | Application creating this document.
Returns: A pointer to the created instance of CHelloWorldBasicDocument. Definition at line 40 of file helloworldbasicdocument.cpp. References CHelloWorldBasicDocument().
    00042     {
    00043     CHelloWorldBasicDocument* self =
    00044         new ( ELeave ) CHelloWorldBasicDocument( aApp );
    00045
    00046     CleanupStack::PushL( self );
    00047     self->ConstructL();
    00048     return self;
    00049     }

CEikAppUi * CHelloWorldBasicDocument::CreateAppUiL | ( |  | ) |

| CreateAppUiL From CEikDocument, CreateAppUiL. Create a CHelloWorldBasicAppUi object and return a pointer to it. The object returned is owned by the Uikon framework. Returns: Pointer to created instance of AppUi. Definition at line 87 of file helloworldbasicdocument.cpp.
    00088     {
    00089     // Create the application user interface, and return a pointer to it;
    00090     // the framework takes ownership of this object
    00091     return ( static_cast <CEikAppUi*> ( new ( ELeave )
    00092                                         CHelloWorldBasicAppUi ) );
    00093     }

void CHelloWorldBasicDocument::ConstructL | ( |  | ) | `[private]`

| ConstructL 2nd phase constructor. Definition at line 56 of file helloworldbasicdocument.cpp.
    00057     {
    00058     // No implementation required
    00059     }

© Nokia 2006 |